<template>
	<div class="nav-wrapper">
		<div class="nav-spacer"></div>
		<nav class="nav">
			<hamburger-icon class="nav-menu-button"></hamburger-icon>
			<router-link :to="{ name: 'Home' }">Home</router-link>
			<router-link :to="{ name: 'About' }">About</router-link>
			<router-link :to="{ name: 'Services' }">Services</router-link>
			<router-link :to="{ name: 'Experience' }">Experience</router-link>
			<router-link :to="{ name: 'Contact' }">Contact</router-link>
		</nav>
	</div>
</template>

<script>
	import HamburgerIcon from "./HamburgerIcon";
	export default {
		name: "NavMenu",
		components: {HamburgerIcon}
	}
</script>

<style scoped>
	.nav-spacer {
		height: 40px;
	}
	.nav {
		z-index: 999;
		box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.2);
		display: flex;
		position: absolute;
		top: 0;
		width: 100%;
	}
	a {
		height: 100%;
		display: flex;
		flex-direction: column;
		text-decoration: none;
		color: #c3be2f;
	}
	a:hover {
		/*background-color: #bcb9a0;*/
		color: #262824;
	}
	.nav-menu-button {
		display: none;
		height: 40px;
	}
	
	@media (max-width: 599px) {
		.nav {
			flex-direction: column;
			height: auto;
			justify-content: flex-start;
			background-color: #fff;
			opacity: 0.9;
		}

		.nav-menu-button {
			display: block;
		}

		a {
			display: none;
			padding: 10px 0;
		}

		a:focus {
			/*background-color: #bcb9a0;*/
			color: #262824;
		}

		.nav-menu-button.active ~ a {
			display: flex;
		}

		.router-link-exact-active {
			text-decoration: underline;
		}
	}

	@media (min-width: 600px) {
		.nav {
			height: 40px;
			justify-content: space-around;
		}
		.router-link-exact-active {
			border-bottom: solid 2px #c3be2f;
		}
		a {
			height: 100%;
			justify-content: center;
			align-content: center;
			padding: 0 10px;
      width: 102px;
		}
	}

	@media (min-width: 900px) {

	}

	@media (min-width: 1200px) {

	}

	@media (min-width: 1800px) {

	}
</style>